org.w3._2000._09.xmldsig

## Class KeyValue

- java.lang.Object
- - org.w3._2000._09.xmldsig.KeyValue

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:56:39+01:00",
                 comments="JAXB RI v2.2.11")
      public class KeyValue
      extends Object
      implements Serializable

  Java class for KeyValueType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="KeyValueType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}DSAKeyValue"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}RSAKeyValue"/>
               <any processContents='lax' namespace='##other'/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyValue()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getContent()` Gets the value of the content property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyValue

          public KeyValue()

  - ### Method Detail

    - #### getContent

          public List<Object> getContent()

      Gets the value of the content property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

      For example, to add a new item, do as follows:

              getContent().add(newItem);

      Objects of the following type(s) are allowed in the list `Element` `DSAKeyValue` `Object` `RSAKeyValue` `String`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.